﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Menus;

namespace XamTree
{
    public partial class MainPage : UserControl
    {
        List<Book> books;
        public MainPage()
        {
            InitializeComponent();

            books = new List<Book>()
            {
                new Book
                {
                    Title = "Title 1",
                    Chapters = new List<Chapter>()
                    {
                        new Chapter { Title = "Title 1: Chapter 1" },
                        new Chapter { Title = "Title 1: Chapter 2" },
                        new Chapter { Title = "Title 1: Chapter 3" },
                    }
                },
                
                new Book
                {
                    Title = "Title 2",
                    Chapters = new List<Chapter>()
                    {
                        new Chapter { Title = "Title 2: Chapter 1" },
                        new Chapter { Title = "Title 2: Chapter 2" },
                        new Chapter { Title = "Title 2: Chapter 3" },
                    }
                },

                new Book
                {
                    Title = "Title 3",
                    Chapters = new List<Chapter>()
                    {
                        new Chapter { Title = "Title 3: Chapter 1" },
                        new Chapter { Title = "Title 3: Chapter 2" },
                        new Chapter { Title = "Title 3: Chapter 3" },
                    }
                }
            };

            xamTree1.ItemsSource = books;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            xamTree1.ActiveItem = books[2];
        }

    }

    public class Chapter
    {
        public string Title { get; set; }
    }

    public class Book
    {
        public string Title { get; set; }
        public List<Chapter> Chapters { get; set; }
    }
}
